<!--
Thanks for contributing a pull request! Please ensure you have taken a look at the contribution guidelines in the CONTRIBUTING.md
-->

#### Reference Issues/PRs
<!--
Example: Fixes #1234. See also #3456.
Please use keywords (e.g., Fixes) to create link to the issues or pull requests you resolved, so that they will automatically be closed when your pull request is merged. See https://github.com/blog/1506-closing-issues-via-pull-requests
-->

#### What does this implement/fix? Explain your changes.

<!--
Good PR descriptions help us immensely in reviewing and testing your PRs. This will make merging much faster and smoother for everyone involved.
Examples:

**Good:** Added Documentation -- documented the learning rate feature both in the code and the docs. Also added an example.
**Bad:** Explained learning rates

**Good:** Dask Parallelization Backend -- parallelization is now possible with dask. This meant some restructuring of the runner backend and testing, but shouldn't change usage at all. 
**Bad:** new parallel feature
-->

#### Checklist

- Are the tests passing locally? yes/no
- Is the pre-commit passing locally? yes/no
- Are all new features documented in code and docs? yes/no
- Are all examples still running? yes/no
- Are the requirements up to date? yes/no
- Did you add yourself to the contributors in the authors file? yes/no

#### Any other comments?

<!--
We appreciate your effort, but please be aware that we are not working full-time on this project. We welcome any contribution and value your effort, no matter how minor they are. If we are slow to review, either the pull request needs some benchmarking, tinkering, convincing, etc. or more likely the reviewers are simply busy. In either case, we ask for your understanding during the review process.

Thanks for contributing!
-->
